Bug 769986

Summary: Package Version Incorrectly Updated When Package Uploaded from UI
Product: [Other] RHQ Project Reporter: Stefan Negrea <snegrea>
Component: Core UIAssignee: Stefan Negrea <snegrea>
Status: CLOSED CURRENTRELEASE QA Contact: Mike Foley <mfoley>
Severity: high Docs Contact:
Priority: high    
Version: 4.3CC: hrupp
Target Milestone: ---   
Target Release: RHQ 4.3.0   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 788776 (view as bug list) Environment:
Last Closed: 2013-09-01 06:13:16 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On:    
Bug Blocks: 758753, 788776    

Description Stefan Negrea 2011-12-22 16:48:49 EST
Description of problem:
The JSF UI incorrectly populates the version and display version for uploaded packages. Also, the version is a required field which forces users to type information that could be discovered later.

How reproducible:
Every time.

Steps to Reproduce:
1. Inventory a Tomcat server (or JBoss AS4 or AS5)
2. Go to the Content tab of a war resource
3. Upload a new package for the resource
4. Review rhq_package_version table entries created by the command.
5. Review the installation history for the resource.
  
Actual results:
In the database, version is the value entered by the user in the UI, and the display version is empty. The installation history shows incorrect versions for the installed packages.

Expected results:
In the database, the version is the SHA256 of the uploaded content, and the display version is the version entered by the user. The installation history should show the display version if not empty (if empty then default to version).

Additional info:
The version field should be optional going forward. This could be discovered and reported back by the agent. If the user actually enters one then it will be preserved, however if the user leaves this field black then the discovery process will attempt to retrieve display version from the actual manifest.

This BZ supports the overall set of enhancements required by the Content System.
Comment 1 Mike Foley 2012-01-23 15:31:19 EST
2nd verification step for QE



UI Test (applicable to BZ 761593, 767247, 767393, 769986)

Setup:
1) RHQ server started, RHQ agent running
2) Inventoried Tomcat Server, JBoss AS4 or JBoss EAP5.1
3) A sample war application to be deployed to the application server

Stimulate:
1) Navigate in the UI to the selected application resource, content tab, history subtab.
2) Navigate to the New subtab.
3) Upload a new war package for the resource. Follow the guided UI but do change the version field to something unique.
4) Navigate in the UI to the resource that was just updated to the Content tab

Verification steps:
1)  Verify that after Step 1, the Full Package Audit Trail table, version  column has either a normal number (eg. 1.2.3) or sha256. The version  field should not be empty.
2)  Verify after Step 4 the new application has been actually deployed  on the application server. Check the file system where the application  server deploys content.
3) Verify after Step 4 the new application has RHQ-Sha256 attribute in the manifest.
4) Verify after Step 4 the content tab, history subtab has the following:
  a) Full Package Audit Trail table has the correct package information marked as Discovered, including correct version.
  b) Completed Requests table has information regarding the request submitted from the CLI, including submitted version.
Comment 3 Heiko W. Rupp 2013-09-01 06:13:16 EDT
Bulk closing of items that are on_qa and in old RHQ releases, which are out for a long time and where the issue has not been re-opened since.